apiVersion: forklift.konveyor.io/v1beta1
kind: Plan
metadata:
  annotations:
    populatorLabels: 'True'
  creationTimestamp: '2026-02-18T06:33:03Z'
  generation: 1
  managedFields:
    - apiVersion: forklift.konveyor.io/v1beta1
      fieldsType: FieldsV1
      fieldsV1:
        'f:spec':
          'f:useCompatibilityMode': {}
          'f:provider':
            .: {}
            'f:destination': {}
            'f:source': {}
          'f:map':
            .: {}
            'f:network': {}
            'f:storage': {}
          'f:vms': {}
          .: {}
          'f:runPreflightInspection': {}
          'f:targetPowerState': {}
          'f:targetNamespace': {}
          'f:warm': {}
          'f:pvcNameTemplateUseGenerateName': {}
          'f:migrateSharedDisks': {}
          'f:skipGuestConversion': {}
          'f:preserveStaticIPs': {}
      manager: Mozilla
      operation: Update
      time: '2026-02-18T06:33:03Z'
    - apiVersion: forklift.konveyor.io/v1beta1
      fieldsType: FieldsV1
      fieldsV1:
        'f:status':
          .: {}
          'f:conditions': {}
          'f:migration':
            .: {}
            'f:completed': {}
            'f:history': {}
            'f:started': {}
            'f:vms': {}
          'f:observedGeneration': {}
      manager: forklift-controller
      operation: Update
      subresource: status
      time: '2026-02-18T06:44:43Z'
  name: ova-test-win2019
  namespace: openshift-mtv
  resourceVersion: '6709917'
  uid: cc6f2fce-1bee-40b7-81fe-920ca25bd17a
spec:
  pvcNameTemplateUseGenerateName: true
  warm: false
  migrateSharedDisks: true
  targetNamespace: mtv-test
  useCompatibilityMode: true
  skipGuestConversion: false
  provider:
    destination:
      apiVersion: forklift.konveyor.io/v1beta1
      kind: Provider
      name: host
      namespace: openshift-mtv
      uid: b1da6df8-ffa6-46b3-abbd-3ed0ac8da757
    source:
      apiVersion: forklift.konveyor.io/v1beta1
      kind: Provider
      name: ova-test
      namespace: openshift-mtv
      uid: 032d2fbf-d510-4c2d-a460-f2a9126ffb9a
  preserveStaticIPs: true
  vms:
    - id: 7bffb6e899446ed10721a75f32297b2b4b18
      name: Auto-esx8.0-win2019-efi-with-extra-online-disks
  map:
    network:
      apiVersion: forklift.konveyor.io/v1beta1
      kind: NetworkMap
      name: ova-test-5khnv
      namespace: openshift-mtv
      uid: 6a96f1cb-62cd-4992-806d-f9a488f73d66
    storage:
      apiVersion: forklift.konveyor.io/v1beta1
      kind: StorageMap
      name: ova-test-64cnj
      namespace: openshift-mtv
      uid: 51d580fc-5478-443b-aa60-4e6411063195
  runPreflightInspection: true
  targetPowerState: auto
status:
  conditions:
    - category: Required
      lastTransitionTime: '2026-02-18T06:33:03Z'
      message: The migration plan is ready.
      status: 'True'
      type: Ready
    - category: Advisory
      durable: true
      lastTransitionTime: '2026-02-18T06:44:43Z'
      message: The plan execution has SUCCEEDED.
      status: 'True'
      type: Succeeded
  migration:
    completed: '2026-02-18T06:44:43Z'
    history:
      - conditions:
          - category: Advisory
            durable: true
            lastTransitionTime: '2026-02-18T06:44:43Z'
            message: The plan execution has SUCCEEDED.
            status: 'True'
            type: Succeeded
        map:
          network:
            generation: 1
            name: ova-test-5khnv
            namespace: openshift-mtv
            uid: 6a96f1cb-62cd-4992-806d-f9a488f73d66
          storage:
            generation: 1
            name: ova-test-64cnj
            namespace: openshift-mtv
            uid: 51d580fc-5478-443b-aa60-4e6411063195
        migration:
          generation: 1
          name: ova-test-win2019-79xmj
          namespace: openshift-mtv
          uid: bd3a309b-22f2-4c37-a145-b3d8cda64e4e
        plan:
          generation: 1
          name: ova-test-win2019
          namespace: openshift-mtv
          uid: cc6f2fce-1bee-40b7-81fe-920ca25bd17a
        provider:
          destination:
            generation: 1
            name: host
            namespace: openshift-mtv
            uid: b1da6df8-ffa6-46b3-abbd-3ed0ac8da757
          source:
            generation: 1
            name: ova-test
            namespace: openshift-mtv
            uid: 032d2fbf-d510-4c2d-a460-f2a9126ffb9a
    started: '2026-02-18T06:33:27Z'
    vms:
      - started: '2026-02-18T06:33:27Z'
        pipeline:
          - completed: '2026-02-18T06:33:34Z'
            description: Initialize migration.
            name: Initialize
            phase: Completed
            progress:
              completed: 0
              total: 1
            started: '2026-02-18T06:33:27Z'
          - annotations:
              unit: MB
            completed: '2026-02-18T06:33:47Z'
            description: Allocate disks.
            name: DiskAllocation
            phase: Completed
            progress:
              completed: 0
              total: 0
            started: '2026-02-18T06:33:34Z'
            tasks:
              - annotations:
                  unit: MB
                completed: '2026-02-18T06:33:40Z'
                name: '/ova/appliance-6b73b8784742a75e1132d29c897222075b4da29dc398b671bb93441cec8ef373/Auto-esx8.0-win2019-efi-with-extra-online-disks.ova::Auto-esx8.0-win2019-efi-with-extra-online-disks-disk1.vmdk'
                phase: Completed
                progress:
                  completed: 0
                  total: 0
                reason: Transfer completed.
                started: '2026-02-18T06:33:40Z'
              - annotations:
                  unit: MB
                completed: '2026-02-18T06:33:40Z'
                name: '/ova/appliance-6b73b8784742a75e1132d29c897222075b4da29dc398b671bb93441cec8ef373/Auto-esx8.0-win2019-efi-with-extra-online-disks.ova::Auto-esx8.0-win2019-efi-with-extra-online-disks-disk2.vmdk'
                phase: Completed
                progress:
                  completed: 0
                  total: 0
                reason: Transfer completed.
                started: '2026-02-18T06:33:40Z'
              - annotations:
                  unit: MB
                completed: '2026-02-18T06:33:47Z'
                name: '/ova/appliance-6b73b8784742a75e1132d29c897222075b4da29dc398b671bb93441cec8ef373/Auto-esx8.0-win2019-efi-with-extra-online-disks.ova::Auto-esx8.0-win2019-efi-with-extra-online-disks-disk3.vmdk'
                phase: Completed
                progress:
                  completed: 0
                  total: 0
                reason: Transfer completed.
                started: '2026-02-18T06:33:40Z'
              - annotations:
                  unit: MB
                completed: '2026-02-18T06:33:40Z'
                name: '/ova/appliance-6b73b8784742a75e1132d29c897222075b4da29dc398b671bb93441cec8ef373/Auto-esx8.0-win2019-efi-with-extra-online-disks.ova::Auto-esx8.0-win2019-efi-with-extra-online-disks-disk4.vmdk'
                phase: Completed
                progress:
                  completed: 0
                  total: 0
                reason: Transfer completed.
                started: '2026-02-18T06:33:40Z'
          - completed: '2026-02-18T06:38:01Z'
            description: Convert image to kubevirt.
            name: ImageConversion
            phase: Completed
            progress:
              completed: 0
              total: 1
            started: '2026-02-18T06:33:47Z'
          - annotations:
              unit: MB
            completed: '2026-02-18T06:44:41Z'
            description: Copy disks.
            name: DiskTransferV2v
            phase: Completed
            progress:
              completed: 0
              total: 0
            started: '2026-02-18T06:38:01Z'
            tasks:
              - annotations:
                  unit: MB
                name: '/ova/appliance-6b73b8784742a75e1132d29c897222075b4da29dc398b671bb93441cec8ef373/Auto-esx8.0-win2019-efi-with-extra-online-disks.ova::Auto-esx8.0-win2019-efi-with-extra-online-disks-disk1.vmdk'
                progress:
                  completed: 0
                  total: 0
              - annotations:
                  unit: MB
                name: '/ova/appliance-6b73b8784742a75e1132d29c897222075b4da29dc398b671bb93441cec8ef373/Auto-esx8.0-win2019-efi-with-extra-online-disks.ova::Auto-esx8.0-win2019-efi-with-extra-online-disks-disk2.vmdk'
                progress:
                  completed: 0
                  total: 0
              - annotations:
                  unit: MB
                name: '/ova/appliance-6b73b8784742a75e1132d29c897222075b4da29dc398b671bb93441cec8ef373/Auto-esx8.0-win2019-efi-with-extra-online-disks.ova::Auto-esx8.0-win2019-efi-with-extra-online-disks-disk3.vmdk'
                progress:
                  completed: 0
                  total: 0
              - annotations:
                  unit: MB
                name: '/ova/appliance-6b73b8784742a75e1132d29c897222075b4da29dc398b671bb93441cec8ef373/Auto-esx8.0-win2019-efi-with-extra-online-disks.ova::Auto-esx8.0-win2019-efi-with-extra-online-disks-disk4.vmdk'
                progress:
                  completed: 0
                  total: 0
          - completed: '2026-02-18T06:44:43Z'
            description: Create VM.
            name: VirtualMachineCreation
            phase: Completed
            progress:
              completed: 0
              total: 1
            started: '2026-02-18T06:44:41Z'
        newName: auto-esx8.0-win2019-efi-with-extra-online-disks
        completed: '2026-02-18T06:44:43Z'
        name: Auto-esx8.0-win2019-efi-with-extra-online-disks
        luks: {}
        conditions:
          - category: Advisory
            durable: true
            lastTransitionTime: '2026-02-18T06:44:43Z'
            message: The VM migration has SUCCEEDED.
            status: 'True'
            type: Succeeded
        id: 7bffb6e899446ed10721a75f32297b2b4b18
        phase: Completed
        firmware: uefi
  observedGeneration: 1
